use Test::More;
use Data::Printer;
use FindBin '$Bin'; # warn $Bin;

BEGIN {
    require 't/test-lib.pl';
}

use constant TESTS => 4;

my $dbix = get_dbix();

is(-e "$Bin/../templates/resources/menu/local/$_.test", 1, "file $_ found")
    for qw( file_uploads request_forms );

my @databases = $dbix->query('SHOW DATABASES')->flat; # p \@databases;
is( ( $_ ~~ @databases ), 1, "database $_ found" )
    for qw( hmrn_test outreach_test );

done_testing(TESTS);
